curl --request POST \
--url https://apigw.mka1.com/api/v1/authorization/llm/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceType": "completion",
"resourceId": "<string>",
"overwrite": true
}
'"<unknown>"Create an LLM resource and assign the authenticated caller as owner. If overwrite is true, existing direct relationships for the resource are replaced.
curl --request POST \
--url https://apigw.mka1.com/api/v1/authorization/llm/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceType": "completion",
"resourceId": "<string>",
"overwrite": true
}
'"<unknown>"Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.
Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.
Type of LLM resource
completion, file, vector_store, conversation, response Unique identifier for the resource
1^(\*|[a-zA-Z0-9_-]+)$Whether to overwrite existing resource ownership
Resource created successfully
The response is of type any.
Was this page helpful?